/* ヘッダーのスタイルcss */
header {
    display: flex;
    justify-content: space-between; /* タイトルとメニューを左右に分ける */
    align-items: center; /* 高さを揃える */
    padding: 20px 20px; /* 左右に余白を設ける */
    background-color: #ffffff; /* 背景色 */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1); /* 下に影を追加 */
    position: sticky; /* 固定位置 */
    top: 0;
    width: 100%;
    z-index: 10;
    height: 60px; /* ヘッダーの高さを設定 */
}
header .logo {
    font-size: 1.5em;
    font-weight: bold;
    margin-left: 30px; /* タイトル左に少し余白 */
}

header nav {
    display: flex;
    align-items: center;
    margin-right: 10px; /* メニュー右側に余白 */
}

header nav ul {
    display: flex;
    margin: 0;
    padding: 0;
    list-style: none;
}

header nav ul li{
    display: flex;
    margin: 20px; /* メニュー間のスペース */
}

header nav a {
    text-decoration: none;
    color: #000;
    font-weight: 500;
    transition: color 0.3s;
}

header nav a:hover {
    color: #007BFF; /* ホバー時に色を変更 */
    background-color: #f0f0f0; /* ホバー時に背景色を変更 */
}

/* ハンバーガーメニューのスタイル */
.hamburger-menu {
    display: none;
    flex-direction: column;
    cursor: pointer;
}

.hamburger-menu div {
    width: 25px;
    height: 3px;
    background-color: #000;
    margin: 4px 0;
}

/* メディアクエリでレスポンシブ対応 */
@media (max-width: 768px) {
    header nav ul {
        display: none;
        flex-direction: column;
        width: 100%;
        background-color: #ffffff;
        position: absolute;
        top: 60px;
        left: 0;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        padding: 0; /* パディングをリセット */
    }

    header nav ul.show {
        display: flex;
    }

    /* ハンバーガーメニューのスタイル */
    .hamburger-menu {
        display: block;
        flex-direction: column;
        cursor: pointer;
        margin-right: 20px; /* ハンバーガーメニュー右に余白 */
    }

    .hamburger-menu div {
        width: 25px;
        height: 3px;
        background-color: #000;
        margin: 4px 0;
    }

    header nav ul li {
        margin: 10px 0; /* メニュー間のスペースを調整 */
        width: 100%; /* メニュー項目を全幅に */
        text-align: center; /* メニュー項目を中央揃え */
    }

    header nav ul li a {
        width: 100%; /* リンクを全幅に */
        padding: 10px 0; /* リンクにパディングを追加 */
    }
}